<app-project-policy-table [projectId]="projectId"></app-project-policy-table>
<div class="margin-bottom">
    <h4>
      {{ "PROJECTDETAILS.PLAN.DMP_TOOL.TITLE" | translate }}
    </h4>

    <p class="lorem">
      {{ "PROJECTDETAILS.PLAN.DMP_TOOL.DESC" | translate }}
    </p>
    <p class="lorem">
      {{
        "PROJECTDETAILS.PLAN.DMP_TOOL.TOOLRECOMENDATION1"
          | translate
      }}
      <a href="https://rdmo.nfdi4ing.de/" target="_blank">{{
        "PROJECTDETAILS.PLAN.DMP_TOOL.TOOLRECOMENDATION2"
          | translate
      }}</a>
    </p>

    1. {{ "TOOL.RDMO.API.REGISTER" | translate
    }}<a
      href="https://rdmo-test.nfdi4ing.ulb.tu-darmstadt.de/account/token/"
      target="_blank"
      >RDMO</a
    >. <br /><br />
    2. {{ "TOOL.RDMO.API.GETKEY" | translate }} 3.
    {{ "TOOL.RDMO.API.SUBMITKEY" | translate }}
    <input
      type="text"
      [(ngModel)]="textInput"
      placeholder=" API Token"
    />
    <button nbButton (click)="submitAPIkey()">
      {{ "TOOL.RDMO.API.SUBMIT_BUTTON" | translate }}
    </button>
    <div>{{ responseData2 }}</div>
    <br /><br />
    4. {{ "TOOL.RDMO.API.CREATE_PROJECT" | translate }}
    <button nbButton (click)="performRequest()">
      {{ "TOOL.RDMO.API.CREATE_PROJECT_BUTTON" | translate }}
    </button>
    <div>{{ responseData }}</div>
    <br /><br />
    5. {{ "TOOL.RDMO.API.CREATE_DMP" | translate }}
    <a
      href="https://rdmo-test.nfdi4ing.ulb.tu-darmstadt.de/projects/"
    >
      <button nbButton>
        {{ "TOOL.RDMO.API.CREATE_DMP_BUTTON" | translate }}
      </button>
    </a>
  </div>